mbmc.net
当前位置:首页 >> CAD展点程序lisp >>

CAD展点程序lisp

(DEFUN C:TT ( / ss ff ss1 en pt x y) (setvar "cmdecho" 0) (setvar "blipmode" 0) (setvar "dimzin" 0) (vl-load-com);;加载vlax扩展函数 (setq ss (ssget '((0 . "point"))) n 0);;请选择点 (if (/= ss nil) (progn (setq ff (open "d://文...

(defun C:arb () (setvar "cmdecho" 0) (setvar "gridmode" 0) (setvar "lwdisplay" 1) (setvar "orthomode" 0) (command "dimscale" 1) (setq f_line (tblsearch "layer" "inside")) (if (= f_line nil) (command "layer" "n" "inside" "c" 90 ...

1,用 AP 命令调入Autolisp. 2,在cad命令行运行所调入的lisp命令

在AutoCAD的安装文件夹下,有一个acadxxxx.lsp文件,此文件名中的xxxx代表一个年的版本数,例如在C:\Program Files\Autodesk\ACADM 2010\Support下,有个acad2010.lsp文件。在它的最后加上你的后两个函数句子,保存之(见以下第一个截图)。这样...

“工具”菜单→“加载应用程序”,在弹出的窗口中选择你需要加载的程序,这是加载过程。 如果你不知道这个程序怎么使用,则使用记事本打开你已经加载的那个程序原始文件,然后逐句看里面的命令内容,看图: 命令的开始有一段语句“defun c:gg”,语句中...

这些工具手动加载后就可以执行,但每次用的时候都要加载挺麻烦的,能不能在启动软件的时候把自己常用的插件加载进来?当然可以,而且方法还不止一种。 方法1:添加到启动组 CAD的工具插件都可以通过appload(ap)命令来加载,在弹出的加载卸载应用...

首先,打开AutoCAD,右键,选项,在搜索路径里面添加搜索路径。 在这个文件夹里面建立一个(acaddoc.lsp)文件,这个文件,AutoCAD搜索到的话会自动加载。 在acaddoc.lsp文件里面,填写:(load "TT2(选择文字)")这样格式的内容,如果填写了这个...

(defun c:br1 () (setq pt(getpoint"\n选择点打断")) (princ "\n选择要打断的线") (command "break" pause "f" pt pt) ;这里你可以插入设置特定层为当前层的命令 (command "circle" pt 1.5)) ;这里你再还原当前层为以前的层

好像是病毒!先把cad的设置改下,工具---选项---系统---把每个图形都加载acad.lsp前面的勾去掉 然后再杀毒 下载个“CAD病毒专杀”工具,就可以解决这个问题

你可以用360卫士里的,CAD专杀工具进行查杀.

网站首页 | 网站地图
All rights reserved Powered by www.mbmc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com